GridFire 0.0.1a General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Friends | List of all members
gridfire::expectations::EngineError Struct Reference

`#include <expected_engine.h>`

Inheritance diagram for gridfire::expectations::EngineError:

## Public Member Functions
| EngineError (const std::string &message, const EngineErrorTypes type)
virtual | ~EngineError ()=default

## Public Attributes
std::string | m_message
const EngineErrorTypes | type = EngineErrorTypes::FAILURE

## Friends
std::ostream & | operator<< (std::ostream &os, const EngineError &e)

## Detailed Description

Definition at line 18 of file expected_engine.h.

## Constructor & Destructor Documentation

## ◆ EngineError()

gridfire::expectations::EngineError::EngineError | ( | const std::string & | message,
|  | const EngineErrorTypes | type )
| inline explicit

Definition at line 22 of file expected_engine.h.

## ◆ ~EngineError()

virtual gridfire::expectations::EngineError::~EngineError | ( |  | ) |
| virtual default

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const EngineError & | e )
| friend

Definition at line 27 of file expected_engine.h.

## Member Data Documentation

## ◆ m_message

std::string gridfire::expectations::EngineError::m_message

Definition at line 19 of file expected_engine.h.

## ◆ type

const EngineErrorTypes gridfire::expectations::EngineError::type = EngineErrorTypes::FAILURE

Definition at line 20 of file expected_engine.h.

The documentation for this struct was generated from the following file:

- src/include/gridfire/expectations/expected_engine.h